#include <stdio.h>

void cantor(int x[], int poc, int zav)
{
    int t, i;

    if(poc==zav){
        x[poc]=1;
        return;
    }

    t=zav-poc+1;
    t=t/3;

    cantor(x,poc,poc+t-1);

    for(i=poc+t; i<poc+2*t; i++)
        x[i]=0;

    cantor(x,poc+2*t,zav);

    return;
}

void cantor_bez_niza(int poc, int zav)
{
    int t, i;

    if(poc==zav){
        printf("1 ");
        return;
    }

    t=zav-poc+1;
    t=t/3;

    cantor_bez_niza(poc,poc+t-1);

    for(i=poc+t; i<poc+2*t; i++)
        printf("0 ");

    cantor_bez_niza(poc+2*t,zav);

    return;
}

void cantor_bez_niza2(int n)  //u ovoj funkciji je n ono sto je u prosloj funkciji t
{
    int i;

    if(n==1){
        printf("1 ");
        return;
    }

    n=n/3;

    cantor_bez_niza2(n);

    for(i=0; i<n; i++)
        printf("0 ");

    cantor_bez_niza2(n);

    return;
}

int main(void)
{
    int x[100], i;

	cantor(x,0,26);
	for(i=0;i<27;i++)
		printf("%d ",x[i]);
	printf("\n");

	cantor_bez_niza(0,26);
	printf("\n");
	cantor_bez_niza2(27);
	printf("\n");

    return 0;
}



